Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 240614 - media-video/mmsv2-1.0.8.5 - In file included from common.cpp:5: renderer.hpp:185: error: multiple parameters named 'r'
Summary: media-video/mmsv2-1.0.8.5 - In file included from common.cpp:5: renderer.hpp:...
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: High normal (vote)
Assignee: media-video herd
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: gcc-4.3
  Show dependency tree
 
Reported: 2008-10-08 23:07 UTC by Dave
Modified: 2009-07-30 08:26 UTC (History)
2 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
build.log (build.log,7.22 KB, text/plain)
2008-10-08 23:07 UTC, Dave
Details
emerge --info (info,17.38 KB, text/plain)
2008-10-08 23:08 UTC, Dave
Details
gcc 4.3 compatibility, 64bit compatibility (from ext. ffmpeg), minor compilation issues (mmsv2-1.0.8.5-gcc_compat.patch,5.28 KB, patch)
2008-12-11 07:10 UTC, Nikolay Orlyuk
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Dave 2008-10-08 23:07:21 UTC
make[1]: Entering directory `/var/tmp/portage/media-video/mmsv2-1.0.8.5/work/mms-1.0.8.5'
./version.sh
i686-pc-linux-gnu-g++ -MM -I/usr/local/include -I/usr/include/ -I. -I-D_GNU_SOURCE   -pthread -pipe  -march=pentium4 -O2 -fomit-frame-pointer -pipe -fno-exceptions `xine-config --cflags` -I/usr/include/taglib -Ilibs/tinyxml/ -Ilibs/libavcodec/ `sdl-config --cflags` simplefile.cpp common.cpp config.cpp input.cpp keyboard.cpp mms.cpp renderer.cpp display.cpp socket.cpp startmenu.cpp module.cpp options.cpp option.cpp updater.cpp themes.cpp theme.cpp rand.cpp image.cpp pic_object.cpp text_object.cpp rectangle_object.cpp graphic_object.cpp render_device.cpp global_options.cpp print.cpp extra_menu.cpp libfspp.cpp general.cc file_t.cc file_monitor.cc replay.cpp replay_device.cpp busy_indicator.cpp shutdown.cpp cd.cpp lirc.cpp evdev.cpp wget_wrapper.cpp audio_s.cpp audio.cpp shuffle_list.cpp dbaudiofile.cpp audio_opts.cpp player.cpp shoutcast.cpp bttv.cpp xine.cpp tv.cpp library-builder/imms.cc library-builder/immsdb.cc library-builder/basicdb.cc library-builder/correlate.cc library-builder/playlist.cc library-builder/sqldb.cc library-builder/fetcher.cc library-builder/picker.cc library-builder/spectrum.cc library-builder/songinfo.cc library-builder/comm.cc library-builder/server.cc library-builder/regexx.cc library-builder/utils.cc library-builder/strmanip.cc library-builder/levenshtein.c library-builder/md5.c library-builder/player.cc library-builder/xidle.cc movie.cpp imdb.cpp imdb_movie.cpp pictures.cpp game.cpp epg.cpp mpeg.cpp dvbout.cpp mpeg_out.cpp sdlout.cpp fbdevout.cpp vgaglout.cpp 1> .depend
make[1]: Leaving directory `/var/tmp/portage/media-video/mmsv2-1.0.8.5/work/mms-1.0.8.5'
i686-pc-linux-gnu-g++ -I/usr/local/include -I/usr/include/ -I. -I-D_GNU_SOURCE   -pthread -pipe  -march=pentium4 -O2 -fomit-frame-pointer -pipe -fno-exceptions `xine-config --cflags` -I/usr/include/taglib -Ilibs/tinyxml/ -Ilibs/libavcodec/ `sdl-config --cflags` -c simplefile.cpp
i686-pc-linux-gnu-g++ -I/usr/local/include -I/usr/include/ -I. -I-D_GNU_SOURCE   -pthread -pipe  -march=pentium4 -O2 -fomit-frame-pointer -pipe -fno-exceptions `xine-config --cflags` -I/usr/include/taglib -Ilibs/tinyxml/ -Ilibs/libavcodec/ `sdl-config --cflags` -c common.cpp
In file included from common.cpp:5:
renderer.hpp:185: error: multiple parameters named 'r'
make: *** [common.o] Error 1
 *
 * ERROR: media-video/mmsv2-1.0.8.5 failed.
 * Call stack:
 * ebuild.sh, line   49:  Called src_compile
 * environment, line 2104:  Called die
 * The specific snippet of code:
 * emake CXX="$(tc-getCXX)" C="$(tc-getCC)" CC="$(tc-getCC)" EXTRA_FLAGS="${CFLAGS}" OPTIMIZATION="" || die "emake failed."
 * The die message:
 * emake failed.
 *
 * If you need support, post the topmost build error, and the call stack if relevant.
 * A complete build log is located at '/var/tmp/portage/media-video/mmsv2-1.0.8.5/temp/build.log'.
 * The ebuild environment file is located at '/var/tmp/portage/media-video/mmsv2-1.0.8.5/temp/environment'.
Comment 1 Dave 2008-10-08 23:07:48 UTC
Created attachment 167672 [details]
build.log
Comment 2 Dave 2008-10-08 23:08:09 UTC
Created attachment 167674 [details]
emerge --info
Comment 3 Nikolay Orlyuk 2008-12-11 07:10:10 UTC
Created attachment 174930 [details, diff]
gcc 4.3 compatibility, 64bit compatibility (from ext. ffmpeg), minor compilation issues

includes: cstdlib, cstring, climits etc. for gcc 4.3
merged small changes from external ffmpeg to compile under 64bit
Comment 4 Nikolay Orlyuk 2008-12-11 07:15:49 UTC
Sorry, don't works for me (I think because of amd64)... Only shows menu and does nothing...
Comment 5 Ryan Hill (RETIRED) gentoo-dev 2009-07-30 08:26:16 UTC
Fixed.